// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "User/Data/CsdkUserId.h"
#include "CsdkUserMicStatus.generated.h"


USTRUCT(BlueprintType)
struct FCsdkUserMicStatus
{
	GENERATED_BODY()
	
	UPROPERTY(BlueprintReadWrite, EditAnywhere, Category="CSDK|Voice")
	FCsdkUserId UserId;
	UPROPERTY(BlueprintReadWrite, EditAnywhere, Category="CSDK|Voice")
	FString OpenId;
	UPROPERTY(BlueprintReadWrite, EditAnywhere, Category="CSDK|Voice")
	bool bIsOpen = false;
	
};
